## org.codehaus.groovy.grails.web.mapping
Class DefaultUrlMappingEvaluator.UrlMappingBuilder

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          org.codehaus.groovy.grails.web.mapping.DefaultUrlMappingEvaluator.UrlMappingBuilder

All Implemented Interfaces:
  groovy.lang.GroovyObject

Enclosing class:
  DefaultUrlMappingEvaluator

     class DefaultUrlMappingEvaluator.UrlMappingBuilder

extends groovy.lang.GroovyObjectSupport

A modal builder that constructs a UrlMapping instances by executing a closure. The class overrides getProperty(name) and allows the substitution of GString values with the * wildcard.

invokeMethod(methodName, args) is also overriden for the creation of each UrlMapping instance

Constructor Summary
`DefaultUrlMappingEvaluator.UrlMappingBuilder(groovy.lang.Binding binding, ServletContext servletContext)`

Method Summary
`Object` `getAction()`
`Object` `getController()`
`Object` `getException()`
`Object` `getProperty(String name)`
`List` `getUrlMappings()`
`Object` `getView()`
`Object` `invokeMethod(String methodName, Object arg)`
`(package private) Object` `propertyMissing(String name)`
`(package private) void` `propertyMissing(String name, Object value)`
`void` `setAction(Object action)`
`void` `setController(Object controller)`
`void` `setException(Object exception)`
`void` `setView(String viewName)`

Methods inherited from class groovy.lang.GroovyObjectSupport
`getMetaClass, setMetaClass, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultUrlMappingEvaluator.UrlMappingBuilder

    public DefaultUrlMappingEvaluator.UrlMappingBuilder(groovy.lang.Binding binding,
                                                        ServletContext servletContext)

Method Detail

### getUrlMappings

    public List getUrlMappings()

### getProperty

    public Object getProperty(String name)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`
  Overrides:
    `getProperty` in class `groovy.lang.GroovyObjectSupport`

### getException

    public Object getException()

### setException

    public void setException(Object exception)

### setAction

    public void setAction(Object action)

### getAction

    public Object getAction()

### setController

    public void setController(Object controller)

### getController

    public Object getController()

### getView

    public Object getView()

### setView

    public void setView(String viewName)

### invokeMethod

    public Object invokeMethod(String methodName,
                               Object arg)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`
  Overrides:
    `invokeMethod` in class `groovy.lang.GroovyObjectSupport`

### propertyMissing

    void propertyMissing(String name,
                         Object value)

### propertyMissing

    Object propertyMissing(String name)

Copyright (c) 2005-2009 The Grails project